---
features:
  primary:
  - name: "Use CI/CD variables in `include` statements in `.gitlab-ci.yml`"
    available_in: [core, premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/#variables-with-include'
    image_url: '/images/14_2/pipeline_include_variables.png'
    reporter: stkerr
    stage: verify
    categories:
    - Pipeline Authoring
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/219065'
    description: |
      You can now use variables as part of `include` statements in `.gitlab-ci.yml` files. These variables can
      be instance, group, or project CI/CD variables.
      
      This improvement provides you with more flexibility to define pipelines. You can copy the same `.gitlab-ci.yml` file to multiple projects and use variables to alter its behavior. This allows for less duplication in the `.gitlab-ci.yml` file and reduces the need for complicated per-project configuration. 
